Bug 800017 - spice guest can hang host x server
spice guest can hang host x server
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: xorg-x11-drv-qxl (Show other bugs)
6.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Søren Sandmann Pedersen
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-05 10:53 EST by Stanislav Graf
Modified: 2014-06-18 05:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-10 11:52:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gdb dump of virt-manager (69.78 KB, text/plain)
2012-03-05 10:54 EST, Stanislav Graf
no flags Details

  None (edit)
Description Stanislav Graf 2012-03-05 10:53:46 EST
Description of problem:
I use graphical console + spice in my VM.
My virt-manager frequently hangs for approx. 10 minutes, and I cannot use my system. I'm able to go to text console (ctrl+alt+f2) and check virt-manager:
# strace -p 29509
Process 29509 attached - interrupt to quit
restart_syscall(<... resuming interrupted call ...> <unfinished ...>

I performed GDB analysis of this - see attachment. After system is responsive again, I can operate virt-manager but not VM's graphical console. I need to close windows with VM and open again.

Version-Release number of selected component (if applicable):
# rpm --query --all | grep -e virt-manager -e spice -e libvirt | sort
libvirt-0.9.4-23.el6_2.6.x86_64
libvirt-client-0.9.4-23.el6_2.6.x86_64
libvirt-debuginfo-0.9.4-23.el6_2.6.x86_64
libvirt-python-0.9.4-23.el6_2.6.x86_64
spice-client-0.8.2-7.el6.x86_64
spice-glib-0.6-2.el6.x86_64
spice-gtk-0.6-2.el6.x86_64
spice-gtk-debuginfo-0.6-2.el6.x86_64
spice-gtk-python-0.6-2.el6.x86_64
spice-server-0.8.2-5.el6.x86_64
spice-vdagent-0.8.1-3.el6.x86_64
virt-manager-0.9.0-7.el6.x86_64

How reproducible:
80%

Steps to Reproduce:
1. Create VM with spice in virt-manager
2. Try to use VM graphical console
3. Console hangs for approx 10 mins.
4. You need to wait or go to console and kill virt-manager
  
Actual results:
virt-manager frequently hangs for approx. 10 minutes, and user cannot use my system.

Expected results:
virt-manager doesn't hang

Additional info:
Comment 1 Stanislav Graf 2012-03-05 10:54:38 EST
Created attachment 567676 [details]
gdb dump of virt-manager
Comment 2 Cole Robinson 2012-03-05 11:56:38 EST
This is probably the same issue as this f16 qxl bug:

https://bugzilla.redhat.com/show_bug.cgi?id=747464
Comment 3 Stanislav Graf 2012-03-05 13:51:31 EST
Virt-manager settings:
menu - edit - preferences - 'Install Graphics - Spice'

Created VM contains qxl:
    <graphics type='spice' autoport='yes'/>
    <video>
      <model type='qxl' vram='65536' heads='1'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x02' function='0x0'/>
    </video>
Comment 5 RHEL Product and Program Management 2012-07-10 04:03:54 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 6 RHEL Product and Program Management 2012-07-10 22:09:16 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 8 RHEL Product and Program Management 2012-12-14 03:05:42 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 9 Andrew Cathrow 2013-03-10 11:52:12 EDT
No activity on this bug for over a year, if it's still relevant please reopen

Note You need to log in before you can comment on or make changes to this bug.